interactions:
- request:
    body: '{"messages": [{"role": "user", "content": [{"text": "\nCurrent Task: Describe
      the file(s) you see. Be brief, one sentence max.\n\nInput files (content already
      loaded in conversation):\n  - \"document\" (document)\n\nThis is the expected
      criteria for your final answer: A brief description of the file.\nyou MUST return
      the actual complete content as the final answer, not a summary.\n\nBegin! This
      is VERY important to you, use the tools available and give your best Final Answer,
      your job depends on it!\n\nThought:"}, {"document": {"name": "document", "format":
      "pdf", "source": {"bytes": "JVBERi0xLjQKMSAwIG9iaiA8PCAvVHlwZSAvQ2F0YWxvZyAvUGFnZXMgMiAwIFIgPj4gZW5kb2JqCjIgMCBvYmogPDwgL1R5cGUgL1BhZ2VzIC9LaWRzIFszIDAgUl0gL0NvdW50IDEgPj4gZW5kb2JqCjMgMCBvYmogPDwgL1R5cGUgL1BhZ2UgL1BhcmVudCAyIDAgUiAvTWVkaWFCb3ggWzAgMCA2MTIgNzkyXSA+PiBlbmRvYmoKeHJlZgowIDQKMDAwMDAwMDAwMCA2NTUzNSBmCjAwMDAwMDAwMDkgMDAwMDAgbgowMDAwMDAwMDU4IDAwMDAwIG4KMDAwMDAwMDExNSAwMDAwMCBuCnRyYWlsZXIgPDwgL1NpemUgNCAvUm9vdCAxIDAgUiA+PgpzdGFydHhyZWYKMTk2CiUlRU9GCg=="}}}]}],
      "inferenceConfig": {"stopSequences": ["\nObservation:"]}, "system": [{"text":
      "You are File Analyst. Expert at analyzing various file types.\nYour personal
      goal is: Analyze and describe files accurately\nTo give my best complete final
      answer to the task respond using the exact following format:\n\nThought: I now
      can give a great answer\nFinal Answer: Your final answer must be the great and
      the most complete as possible, it must be outcome described.\n\nI MUST use these
      formats, my job depends on it!"}]}'
    headers:
      Content-Length:
      - '1545'
      Content-Type:
      - !!binary |
        YXBwbGljYXRpb24vanNvbg==
      User-Agent:
      - X-USER-AGENT-XXX
      amz-sdk-invocation-id:
      - AMZ-SDK-INVOCATION-ID-XXX
      amz-sdk-request:
      - !!binary |
        YXR0ZW1wdD0x
      authorization:
      - AUTHORIZATION-XXX
      x-amz-date:
      - X-AMZ-DATE-XXX
    method: POST
    uri: https://bedrock-runtime.us-east-1.amazonaws.com/model/anthropic.claude-3-haiku-20240307-v1%3A0/converse
  response:
    body:
      string: '{"metrics":{"latencyMs":958},"output":{"message":{"content":[{"text":"Thought:
        I have reviewed the provided documents and can now give a complete answer.\n\nFinal
        Answer: The file \"document.pdf\" is an empty document with no text or content
        visible."}],"role":"assistant"}},"stopReason":"end_turn","usage":{"inputTokens":245,"outputTokens":42,"serverToolUsage":{},"totalTokens":287}}'
    headers:
      Connection:
      - keep-alive
      Content-Length:
      - '384'
      Content-Type:
      - application/json
      Date:
      - Fri, 23 Jan 2026 19:16:37 GMT
      x-amzn-RequestId:
      - X-AMZN-REQUESTID-XXX
    status:
      code: 200
      message: OK
version: 1
